<?php

//-----------------------------------------------
// ServerViewer v.1.0
//-----------------------------------------------
// Author: Kolo
// Based on: LGSL
// Site: http://www.WebKolo.pl
//-----------------------------------------------
// Copyright (C) 2013 WebKolo.pl
// All Rights Reserved
//-----------------------------------------------

require "lgsl_class.php";

//------------------------------------------------------------------------------------------------------------+
// THIS CONTROLS HOW THE PLAYER FIELDS ARE DISPLAYED

$fields_show  = array("name", "score", "kills", "deaths", "team", "ping", "bot", "time"); // ORDERED FIRST
$fields_hide  = array("teamindex", "pid", "pbguid"); // REMOVED
$fields_other = true; // FALSE TO ONLY SHOW FIELDS IN $fields_show

//------------------------------------------------------------------------------------------------------------+
// GET THE SERVER DETAILS AND PREPARE IT FOR DISPLAY

global $lgsl_server_id;

$server = lgsl_query_cached("", "", "", "", "", "sep", $lgsl_server_id);

if (!$server) { $output .= "<div style='margin:auto; text-align:center'> {$lgsl_config['text']['mid']} </div>"; return; }

$fields = lgsl_sort_fields($server, $fields_show, $fields_hide, $fields_other);
$server = lgsl_sort_players($server);
$server = lgsl_sort_extras($server);
$misc   = lgsl_server_misc($server);
$server = lgsl_server_html($server);

//------------------------------------------------------------------------------------------------------------+

$output .= "
	<div id='wk_serverviewer' class='main_width'>
		<table class='wk_serverviewer' cellspacing='2' cellpadding='4'>
			<tr class='header'>
				<td style='border: none; text-align: left; width: 25%;'><a href='./index.php' onclick='history.go(-1);'><img alt='{$misc['text_back']}' src='{$misc['icon_back']}' title='{$misc['text_back']}' style='position:relative; top:2px; left:9px;' /></a></td>
				<td colspan='3' style='border: none; text-align: center; width: 50%;'><img alt='{$misc['text_location']}' src='{$misc['icon_location']}' title='{$misc['text_location']}' style='position:relative; z-index:2; top:4px; right:4px;' />{$server['s']['name']}<img alt='{$misc['text_type_game']}' src='{$misc['icon_game']}' title='{$misc['text_type_game']}' style='position:relative; z-index:2; top:2px; left:4px;' /></td>
				<td style='border: none; text-align: right; width: 25%;'><a class='wk_btnconnect' href='{$misc['software_link']}'>{$lgsl_config['text']['slk']}</a></td>
			</tr>
			<tr>
				<td><b>{$lgsl_config['text']['sts']}</b></td>
				<td>{$misc['text_status']}</td>
				<td><b>{$lgsl_config['text']['adr']}</b></td>
				<td>{$server['b']['ip']}</td>
				<td rowspan='4'><img alt='' src='{$misc['image_map']}' style='vertical-align: middle; margin: 10px;' /></td>
			</td>
			<tr>
				<td><b>{$lgsl_config['text']['cpt']}</b></td>
				<td>{$server['b']['c_port']}</td>
				<td><b>{$lgsl_config['text']['qpt']}</b></td>
				<td>{$server['b']['q_port']}</td>
				<td></td>
			</td>
			<tr>
				<td><b>{$lgsl_config['text']['typ']}</b></td>
				<td>{$server['b']['type']}</td>
				<td><b>{$lgsl_config['text']['gme']}</b></td>
				<td>{$server['s']['game']}</td>
				<td></td>
			</td>
			<tr>
				<td><b>{$lgsl_config['text']['map']}</b></td>
				<td>{$server['s']['map']}</td>
				<td><b>{$lgsl_config['text']['plr']}</b></td>
				<td>{$server['s']['players']} / {$server['s']['playersmax']}</td>
				<td></td>
			</td>
		</table>
";

//------------------------------------------------------------------------------------------------------------+
// SHOW THE STANDARD INFO
//------------------------------------------------------------------------------------------------------------+
// SHOW THE PLAYERS

$output .= "
		<table class='wk_serverviewer' cellspacing='2' cellpadding='4'  style='float: left; width: 49%;'>
			<tr class='header'>
				<td colspan='3'>{$lgsl_config['text']['pll']}</td>
			</tr>
			<tr>";
				if (empty($server['p']) || !is_array($server['p']))
				{
					$output .= "<td>{$lgsl_config['text']['npi']}</td>";
				}
				else
				{
					foreach ($fields as $field)
					{
						$field = ucfirst($field);
						$output .= "<td><b>{$field}</b></td>";
					}
					$output .= "
			</tr>";
					foreach ($server['p'] as $player_key => $player)
					{
						$output .= "<tr>";
						foreach ($fields as $field)
						{
							$output .= "<td>{$player[$field]}</td>";
						}
						$output .= "</tr>";
					}
				}
			$output .= "
		</table>
		<table class='wk_serverviewer' cellspacing='2' cellpadding='4' style='float: right; width: 49%;'>
			<tr class='header'>
				<td colspan='3'>{$lgsl_config['text']['svs']}</td>
			</tr>";
			if (empty($server['e']) || !is_array($server['e']))
			{
				$output .= "<tr><td>{$lgsl_config['text']['nei']}</td></tr>";
			}
			else
			{
				$output .= "
					<tr>
						<td><b>{$lgsl_config['text']['ehs']}</b></td>
						<td><b>{$lgsl_config['text']['ehv']}</b></td>
					</tr>
				";
				foreach ($server['e'] as $field => $value)
				{
					$output .= "
						<tr>
							<td>{$field}</td>
							<td>{$value}</td>
						</tr>
					";
				}
			}
			$output .="
		</table>
	</div>
";

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
//------ PLEASE MAKE A DONATION OR SIGN THE GUESTBOOK AT GREYCUBE.COM IF YOU REMOVE THIS CREDIT ----------------------------------------------------------------------------------------------------+
  $output .= "<div id='wk_serverstats'>" . lgsl_version() . "</div>";
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
